## cong-editor-area-line

cong-editor-area-line —

## Synopsis

    #define     CONG_EDITOR_AREA_LINE           (obj)
    #define     CONG_EDITOR_AREA_LINE_CLASS     (klass)
    #define     IS_CONG_EDITOR_AREA_LINE        (obj)
    GType       cong_editor_area_line_get_type  (void);
    CongEditorArea* cong_editor_area_line_construct
                                                (CongEditorAreaLine *area_line,
                                                 CongEditorWidget3 *editor_widget,
                                                 gint width_limit);
    CongEditorArea* cong_editor_area_line_new   (CongEditorWidget3 *editor_widget,
                                                 gint width_limit);
    gint        cong_editor_area_line_get_width_limit
                                                (CongEditorAreaLine *area_line);
    gint        cong_editor_area_line_get_width_used
                                                (CongEditorAreaLine *area_line);
    gint        cong_editor_area_line_get_width_free
                                                (CongEditorAreaLine *area_line);

## Description

## Details

### CONG_EDITOR_AREA_LINE()

    #define CONG_EDITOR_AREA_LINE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_LINE_TYPE, CongEditorAreaLine)

`obj` : |

### CONG_EDITOR_AREA_LINE_CLASS()

    #define CONG_EDITOR_AREA_LINE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_LINE_TYPE, CongEditorAreaLineClass)

`klass` : |

### IS_CONG_EDITOR_AREA_LINE()

    #define IS_CONG_EDITOR_AREA_LINE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_LINE_TYPE)

`obj` : |

### cong_editor_area_line_get_type ()

    GType       cong_editor_area_line_get_type  (void);

Returns : |

### cong_editor_area_line_construct ()

    CongEditorArea* cong_editor_area_line_construct
                                                (CongEditorAreaLine *area_line,
                                                 CongEditorWidget3 *editor_widget,
                                                 gint width_limit);

TODO: Write me

`area_line` : |
`editor_widget` : |
`width_limit` : |
Returns : |

### cong_editor_area_line_new ()

    CongEditorArea* cong_editor_area_line_new   (CongEditorWidget3 *editor_widget,
                                                 gint width_limit);

TODO: Write me

`editor_widget` : |
`width_limit` : |
Returns : |

### cong_editor_area_line_get_width_limit ()

    gint        cong_editor_area_line_get_width_limit
                                                (CongEditorAreaLine *area_line);

TODO: Write me

`area_line` : |
Returns : |

### cong_editor_area_line_get_width_used ()

    gint        cong_editor_area_line_get_width_used
                                                (CongEditorAreaLine *area_line);

TODO: Write me

`area_line` : |
Returns : |

### cong_editor_area_line_get_width_free ()

    gint        cong_editor_area_line_get_width_free
                                                (CongEditorAreaLine *area_line);

TODO: Write me

`area_line` : |
Returns : |